Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFDataValidationHelper

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFDataValidationHelper

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.DataValidationHelper

    public class XSSFDataValidationHelper

extends java.lang.Object
implements org.apache.poi.ss.usermodel.DataValidationHelper

Author:
  Radhakrishnan J

Constructor Summary
`XSSFDataValidationHelper(XSSFSheet xssfSheet)`

Method Summary
`org.apache.poi.ss.usermodel.DataValidationConstraint` | `createCustomConstraint(java.lang.String formula)`
`org.apache.poi.ss.usermodel.DataValidationConstraint` | `createDateConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2, java.lang.String dateFormat)`
`org.apache.poi.ss.usermodel.DataValidationConstraint` | `createDecimalConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
`org.apache.poi.ss.usermodel.DataValidationConstraint` | `createExplicitListConstraint(java.lang.String[] listOfValues)`
`org.apache.poi.ss.usermodel.DataValidationConstraint` | `createFormulaListConstraint(java.lang.String listFormula)`
`org.apache.poi.ss.usermodel.DataValidationConstraint` | `createIntegerConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
`org.apache.poi.ss.usermodel.DataValidationConstraint` | `createNumericConstraint(int validationType, int operatorType, java.lang.String formula1, java.lang.String formula2)`
`org.apache.poi.ss.usermodel.DataValidationConstraint` | `createTextLengthConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
`org.apache.poi.ss.usermodel.DataValidationConstraint` | `createTimeConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
`org.apache.poi.ss.usermodel.DataValidation` | `createValidation(org.apache.poi.ss.usermodel.DataValidationConstraint constraint, org.apache.poi.ss.util.CellRangeAddressList cellRangeAddressList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFDataValidationHelper

    public XSSFDataValidationHelper(XSSFSheet xssfSheet)

Method Detail

### createDateConstraint

    public org.apache.poi.ss.usermodel.DataValidationConstraint createDateConstraint(int operatorType,
                                                                                     java.lang.String formula1,
                                                                                     java.lang.String formula2,
                                                                                     java.lang.String dateFormat)

  Specified by:
    `createDateConstraint` in interface `org.apache.poi.ss.usermodel.DataValidationHelper`

### createDecimalConstraint

    public org.apache.poi.ss.usermodel.DataValidationConstraint createDecimalConstraint(int operatorType,
                                                                                        java.lang.String formula1,
                                                                                        java.lang.String formula2)

  Specified by:
    `createDecimalConstraint` in interface `org.apache.poi.ss.usermodel.DataValidationHelper`

### createExplicitListConstraint

    public org.apache.poi.ss.usermodel.DataValidationConstraint createExplicitListConstraint(java.lang.String[] listOfValues)

  Specified by:
    `createExplicitListConstraint` in interface `org.apache.poi.ss.usermodel.DataValidationHelper`

### createFormulaListConstraint

    public org.apache.poi.ss.usermodel.DataValidationConstraint createFormulaListConstraint(java.lang.String listFormula)

  Specified by:
    `createFormulaListConstraint` in interface `org.apache.poi.ss.usermodel.DataValidationHelper`

### createNumericConstraint

    public org.apache.poi.ss.usermodel.DataValidationConstraint createNumericConstraint(int validationType,
                                                                                        int operatorType,
                                                                                        java.lang.String formula1,
                                                                                        java.lang.String formula2)

  Specified by:
    `createNumericConstraint` in interface `org.apache.poi.ss.usermodel.DataValidationHelper`

### createIntegerConstraint

    public org.apache.poi.ss.usermodel.DataValidationConstraint createIntegerConstraint(int operatorType,
                                                                                        java.lang.String formula1,
                                                                                        java.lang.String formula2)

  Specified by:
    `createIntegerConstraint` in interface `org.apache.poi.ss.usermodel.DataValidationHelper`

### createTextLengthConstraint

    public org.apache.poi.ss.usermodel.DataValidationConstraint createTextLengthConstraint(int operatorType,
                                                                                           java.lang.String formula1,
                                                                                           java.lang.String formula2)

  Specified by:
    `createTextLengthConstraint` in interface `org.apache.poi.ss.usermodel.DataValidationHelper`

### createTimeConstraint

    public org.apache.poi.ss.usermodel.DataValidationConstraint createTimeConstraint(int operatorType,
                                                                                     java.lang.String formula1,
                                                                                     java.lang.String formula2)

  Specified by:
    `createTimeConstraint` in interface `org.apache.poi.ss.usermodel.DataValidationHelper`

### createCustomConstraint

    public org.apache.poi.ss.usermodel.DataValidationConstraint createCustomConstraint(java.lang.String formula)

  Specified by:
    `createCustomConstraint` in interface `org.apache.poi.ss.usermodel.DataValidationHelper`

### createValidation

    public org.apache.poi.ss.usermodel.DataValidation createValidation(org.apache.poi.ss.usermodel.DataValidationConstraint constraint,
                                                                       org.apache.poi.ss.util.CellRangeAddressList cellRangeAddressList)

  Specified by:
    `createValidation` in interface `org.apache.poi.ss.usermodel.DataValidationHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD